From 70b13d5be6d9ca55c0a9ec0dd401c9401922b1b7 Mon Sep 17 00:00:00 2001
From: Aleix Quintana Alsius <kinta@communia.org>
Date: Fri, 31 May 2024 23:51:51 +0200
Subject: [PATCH] reroll update x86-64 patch

---
 src/filter.c  | 12 +++++++++---
 src/mem.c     |  1 +
 src/wrapper.c |  1 +
 3 files changed, 11 insertions(+), 3 deletions(-)

diff --git a/src/filter.c b/src/filter.c
index d53e091..5bb2a5f 100644
--- a/src/filter.c
+++ b/src/filter.c
@@ -39,6 +39,7 @@
 #include "epson-escpr-api.h"
 #include "epson-escpr-services.h"
 #include "epson-escpr-mem.h"
+#include "epson-escpr-services.h"
 
 #include "err.h"
 #include "mem.h"
@@ -48,6 +49,11 @@
 #include "optBase.h"
 #include "linux_cmn.h"
 #include "custompage.h"
+#include "xfifo.h"
+
+extern EPS_ERR_CODE SetupJobAttrib (const EPS_JOB_ATTRIB*);
+extern EPS_ERR_CODE SendStartJob ();
+extern EPS_ERR_CODE PrintBand (const EPS_UINT8*, EPS_UINT32, EPS_UINT32*);
 
 #define WIDTH_BYTES(bits) (((bits) + 31) / 32 * 4)
 
@@ -453,7 +459,7 @@ main (int argc, char *argv[])
 	}
 	
 	printJob.jobStatus = EPS_STATUS_ESTABLISHED;
-	int printHeight = 0;
+	EPS_UINT32 printHeight = 0;
 ///////////////////////////////////////////////////////////////////////////////////////////////////////////	
 
 	print_area_x = printJob.printableAreaWidth;
@@ -632,7 +638,7 @@ main (int argc, char *argv[])
 						memcpy(rever_buf + k*3, startpage + pos + (bandBmp.widthBytes - 6) - k*3, 3);
 					}
 				}
-				PrintBand (rever_buf, bandBmp.widthBytes, &printHeight);
+				PrintBand ((const EPS_UINT8 *)rever_buf, bandBmp.widthBytes, &printHeight);
 				pos -= bandBmp.widthBytes;
 			}
 
@@ -925,7 +931,7 @@ set_pips_parameter (filter_option_t *filter_opt_p, EPS_OPT *printOpt)
 
 	/* Get number of pages */
 	char page_num;
-	read (STDIN_FILENO, &page_num, 1);
+	(void)read (STDIN_FILENO, &page_num, 1);
 	debug_msg("total pages = %d\n", page_num);
 
 	/* Others */
diff --git a/src/mem.c b/src/mem.c
index f53f2bc..d6c945a 100644
--- a/src/mem.c
+++ b/src/mem.c
@@ -23,6 +23,7 @@
 
 #include <stdlib.h>
 #include "mem.h"
+#include "err.h"
 
 void *
 mem_malloc (unsigned int size, bool_t crit)
diff --git a/src/wrapper.c b/src/wrapper.c
index 1fa6daa..bfd567d 100644
--- a/src/wrapper.c
+++ b/src/wrapper.c
@@ -33,6 +33,7 @@
 /* added 22-04-2004 */
 #include <signal.h>
 
+#include "custompage.h"
 #include "libprtX.h"
 
 #define WIDTH_BYTES(bits) (((bits) + 31) / 32 * 4)
-- 
2.45.1

